Index: extensions/Register_FluxBB/language/de_DE/plugin.lang.php
===================================================================
--- extensions/Register_FluxBB/language/de_DE/plugin.lang.php	(revision 19133)
+++ extensions/Register_FluxBB/language/de_DE/plugin.lang.php	(revision 19138)
@@ -120,10 +120,10 @@
   <div class="mod">message($lang_login[\'Wrong user/pass\'].\'&lt;a href=&quot;login.php?action=forget&quot;&gt;</div>
   <b>with :</b>
-  <div class="info">message($lang_login[\'Wrong user/pass\'].\'&lt;a href=&quot;../[PiwigoRoot]/password.php&quot;&gt;</div>
+  <div class="info">message($lang_login[\'Wrong user/pass\'].\'&lt;a href=&quot;../[YourPiwigoRoot]/password.php&quot;&gt;</div>
 <br>
   and at line 216:
-  <div class="mod">&lt;a href=&quot;login.php?action=forget&quot; tabindex=&quot;5&quot;><?php echo $lang_login[\'Forgotten pass\']</a></p></div>
+  <div class="mod">&lt;a href=&quot;login.php?action=forget&quot; tabindex=&quot;5&quot;&gt;&lt;?php echo $lang_login[\'Forgotten pass\']&lt;/a&gt;</div>
   <b>with :</b>
-  <div class="info">&lt;a href=&quot;../[PiwigoRoot]/password.php&quot; tabindex=&quot;5&quot;><?php echo $lang_login[\'Forgotten pass\']</a></p></div>
+  <div class="info">&lt;a href=&quot;../[YourPiwigoRoot]/password.php&quot; tabindex=&quot;5&quot;&gt;&lt;?php echo $lang_login[\'Forgotten pass\'] ?&gt;&lt;/a&gt;</div>
   <br>';
 /*TODO*/$lang['About_Reg'] = 'About the registration of users on the forum FluxBB';
Index: extensions/Register_FluxBB/language/en_UK/plugin.lang.php
===================================================================
--- extensions/Register_FluxBB/language/en_UK/plugin.lang.php	(revision 19133)
+++ extensions/Register_FluxBB/language/en_UK/plugin.lang.php	(revision 19138)
@@ -119,10 +119,10 @@
   <div class="mod">message($lang_login[\'Wrong user/pass\'].\'&lt;a href=&quot;login.php?action=forget&quot;&gt;</div>
   <b>with :</b>
-  <div class="info">message($lang_login[\'Wrong user/pass\'].\'&lt;a href=&quot;../[PiwigoRoot]/password.php&quot;&gt;</div>
+  <div class="info">message($lang_login[\'Wrong user/pass\'].\'&lt;a href=&quot;../[YourPiwigoRoot]/password.php&quot;&gt;</div>
 <br>
   and at line 216:
-  <div class="mod">&lt;a href=&quot;login.php?action=forget&quot; tabindex=&quot;5&quot;><?php echo $lang_login[\'Forgotten pass\']</a></p></div>
+  <div class="mod">&lt;a href=&quot;login.php?action=forget&quot; tabindex=&quot;5&quot;&gt;&lt;?php echo $lang_login[\'Forgotten pass\']&lt;/a&gt;</div>
   <b>with :</b>
-  <div class="info">&lt;a href=&quot;../[PiwigoRoot]/password.php&quot; tabindex=&quot;5&quot;><?php echo $lang_login[\'Forgotten pass\']</a></p></div>
+  <div class="info">&lt;a href=&quot;../[YourPiwigoRoot]/password.php&quot; tabindex=&quot;5&quot;&gt;&lt;?php echo $lang_login[\'Forgotten pass\'] ?&gt;&lt;/a&gt;</div>
   <br>';
 $lang['About_Reg'] = 'About the registration of users on the forum FluxBB';
Index: extensions/Register_FluxBB/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/Register_FluxBB/language/fr_FR/plugin.lang.php	(revision 19133)
+++ extensions/Register_FluxBB/language/fr_FR/plugin.lang.php	(revision 19138)
@@ -126,5 +126,5 @@
   <div class="mod">&lt;a href=&quot;login.php?action=forget&quot; tabindex=&quot;5&quot;&gt;&lt;?php echo $lang_login[\'Forgotten pass\']&lt;/a&gt;</div>
   <b>par :</b>
-  <div class="info">&lt;a href=&quot;../[VotreRacineDePiwigo]/password.php&quot; tabindex=&quot;5&quot;&gt;&lt;?php echo $lang_login[\'Forgotten pass\']&lt;/a&gt;</div>
+  <div class="info">&lt;a href=&quot;../[VotreRacineDePiwigo]/password.php&quot; tabindex=&quot;5&quot;&gt;&lt;?php echo $lang_login[\'Forgotten pass\'] ?&gt;&lt;/a&gt;</div>
   <br>';
 $lang['About_Reg'] = 'A propos de l\'enregistrement d\'utilisateur sur le forum FluxBB';
Index: extensions/Register_FluxBB/main.inc.php
===================================================================
--- extensions/Register_FluxBB/main.inc.php	(revision 19133)
+++ extensions/Register_FluxBB/main.inc.php	(revision 19138)
@@ -101,4 +101,10 @@
                       - Add da_DK, thanks to : Kaare
                       - Add es_ES, thanks to : petaqui
+
+2.4.9     - 22/11/12  - Update es_ES, thanks to : jpr928
+                      - Update tr_TR, thanks to : LazBoy
+                      - Update it_IT, thanks to : virgigiole
+                      - Update pl_PL, thanks to : kuba
+                      - Bad explanation in inline tips fixed
 --------------------------------------------------------------------------------
 */