Index: /extensions/stripped_white_bloc/index.php
===================================================================
--- /extensions/stripped_white_bloc/index.php	(revision 19161)
+++ /extensions/stripped_white_bloc/index.php	(revision 19161)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/stripped_white_bloc/readme.txt
===================================================================
--- /extensions/stripped_white_bloc/readme.txt	(revision 19161)
+++ /extensions/stripped_white_bloc/readme.txt	(revision 19161)
@@ -0,0 +1,17 @@
+Hi, for anyone's use and enjoyment on a piwigo gallery.
+
+I whacked away at flop25's marvelous "Stripped & Columns" to get to this.
+
+Pre-requisites:
+      Install "Stripped", configuration settings here have the same effect as if you were
+         going to use the orginal "Stripped and Columns". Set the "Stripped" configuration to
+         the white variant.
+      Install "Stripped & Columns", configuration settings here have the same effect as if
+         you were going to use the orginal "Stripped and Columns". I set the "not gray" color to the color-negative (19AAB0) of the original setting.
+
+All files in the img directory are negatives of the ones from Stripped.
+
+Have fun! 
+JJF
+fristersoft.dyndns.org
+
Index: /extensions/stripped_white_bloc/theme.css
===================================================================
--- /extensions/stripped_white_bloc/theme.css	(revision 19161)
+++ /extensions/stripped_white_bloc/theme.css	(revision 19161)
@@ -0,0 +1,337 @@
+/* General rules ------------------------------------------------------------------------------- */
+
+html , body 	{ background-color: #EFEFEF;}
+body 		{ color: #999;}
+
+#thePicturePage .left_block,
+#thePicturePage .right_block,
+#thePicturePage .middle_block,
+#content {
+	background-color: #DFDFDF;
+}
+
+a 			{ color: #666;}
+a:hover 		{ color: #333;}
+
+hr 			{ border-color: #666;}
+
+#theHeader 	{ color: #777; }
+
+/* Content ------------------------------------------------------------------------------------- */
+
+.content_block .additional_info { background-color:#BFBFBF;}
+.content_block 			{ color:#666;}
+.content_block a 		{ color:#222;}
+.content_block a:hover 	{ color:#000;}
+
+/* Menubar ------------------------------------------------------------------------------------- */
+
+#menuswitcher 			{ color: #666;}
+#menuswitcher:hover 		{ color: #333;}
+
+/* Category thumbnails ------------------------------------------------------------------------- */
+
+.thumbnailCategories li 				{ color:#666;}
+.ats .thumbnailCategories li 			{ background: transparent url("img/back_30.png") 0 0 no-repeat;}
+.at3 .thumbnailCategories li 			{ background: transparent url("img/m_back_30.png") 0 0 no-repeat;}
+.at2 .thumbnailCategories li 			{ background: transparent url("img/l_back_30.png") 0 0 no-repeat;}
+.at1 .thumbnailCategories li 			{ background: transparent url("img/xl_back_30.png") 0 0 no-repeat;}
+
+.thumbnailCategories li:hover 		{ color:#999;}
+.ats .thumbnailCategories li:hover	{ background: transparent url("img/back_30.png") 0 -170px no-repeat;}
+.at3 .thumbnailCategories li:hover 	{ background: transparent url("img/m_back_30.png") 0 -290px no-repeat;}
+.at2 .thumbnailCategories li:hover 	{ background: transparent url("img/l_back_30.png") 0 -170px no-repeat;}
+.at1 .thumbnailCategories li:hover 	{ background: transparent url("img/xl_back_30.png") 0 -170px no-repeat;}
+
+.thumbnailCategory .illustration img 			{ border: 1px solid #AAA;}
+.thumbnailCategory .illustration img:hover 	{ border: 1px solid #EFEFEF;}
+
+.atd .thumbnailCategory .description h3  								{ border-color:#AAA;}
+.naf .thumbnailCategories .thumbnailCategory:hover .description h3 	{ border-color:#AAA;}
+.atd .thumbnailCategory:hover .description h3 						{ border-color:#666;}	
+
+.stuffs_block .personal_block ul.thumbnailCategories li 					{ background: #CFCFCF none 0 0 no-repeat;}
+.stuffs_block .personal_block ul.thumbnailCategories li:hover				{ background: #3F3F3F none 0 0 no-repeat;}
+.subcontent  .stuffs_block .personal_block ul.thumbnailCategories li 		{ background: #BFBFBF none 0 0 no-repeat;}
+.subcontent  .stuffs_block .personal_block ul.thumbnailCategories li:hover	{ background: #3F3F3F none 0 0 no-repeat;}
+
+/* Images Thumbnails --------------------------------------------------------------------------- */
+
+.thumbnails li, #thumbnails li  				{ background: transparent url("img/back_40.png") 0 0 no-repeat;}
+.thumbnails li:hover, #thumbnails li:hover	{ background: transparent url("img/back_40.png") 0 -170px no-repeat;}
+.stuffs_block li 							{ background: transparent url("img/back_50.png") 0 -0 no-repeat;}
+.stuffs_block li:hover 					{ background: transparent url("img/back_50.png") 0 -170px no-repeat;}
+.wrap1 .thumbLegend 						{ color:#777;}
+.wrap1 .wrap2 .thumbnail ,
+.wrap1 .wrap2 .thumbnail:hover 			{ border:solid 1px #BFBFBF;}
+
+/* Navigation Bar ------------------------------------------------------------------------------ */
+
+#thumb_navigation 					{ color:#999;}
+/*#thumb_navigation #tn_prev			{ background: transparent url(icon/arrows-white.png) 0 0 no-repeat;}
+#thumb_navigation #tn_next 			{ background: transparent url(icon/arrows-white.png) -20px 0 no-repeat;}
+#thumb_navigation a#tn_prev:hover 	{ background: transparent url(icon/arrows-white.png) 0 -150px no-repeat;}
+#thumb_navigation a#tn_next:hover	{ background: transparent url(icon/arrows-white.png) -20px -150px no-repeat;}
+*/
+/* Picture Page -------------------------------------------------------------------------------- */
+
+#imageTitle {
+	color:#777;
+}
+
+#theImageAndTitle {
+	margin: 10px auto 15px;
+}
+
+.img_frame #theMainImage {
+	border: 1px #666 solid;
+}
+
+/* Image Nav Arrows ---------------------------------------------------------------------------- */
+
+/* Navigation Arrows --------------------------------------------------------------------------- */
+
+/*#imgprev 		{ background: transparent url(icon/arrows-white.png) 0 0 no-repeat;}
+#imgnext 		{ background: transparent url(icon/arrows-white.png) -20px 0 no-repeat;}
+#imgprev:hover 	{ background: transparent url(icon/arrows-white.png) 0 -150px no-repeat;}
+#imgnext:hover	{ background: transparent url(icon/arrows-white.png) -20px -150px no-repeat;}
+*/
+/* HD Picture Box ------------------------------------------------------------------------------ */
+
+#theImgHighBg {
+	background-color:#CCC;
+}
+
+/*#theImgHighCloseButton		{ background:transparent url(icon/close_high.png) no-repeat scroll 0px 0px;}
+#theImgHighZoomButton.fit 	{ background:transparent url(icon/zoom_fit_high.png) no-repeat scroll 0px 0px;}
+#theImgHighZoomButton.full 	{ background:transparent url(icon/zoom_1-1_high.png) no-repeat scroll 0px 0px;}
+*/
+/* Navbuttons ---------------------------------------------------------------------------------- */
+
+/*#imageToolBar .navButton {
+	background-image: url(icon/picture_24-white.png);
+}*/
+
+/* Tabs ---------------------------------------------------------------------------------------- */
+
+#tabTitleBar	{ border-top: 1px solid #AAA;}
+
+.tabTitle {
+	background: #DFDFDF;
+	color: #888;
+}
+
+.tabTitle:hover { color:#666;}
+
+.tabSelected {
+	color: #666;
+	background: #BFBFBF;
+}
+
+.tabBlockContent {
+	background:#BFBFBF;
+	color:#555;
+}
+
+.tabBlock a { color:#111;}
+
+/* Light Slideshow ----------------------------------------------------------------------------- */
+
+#light_slideshow			{ color: #BBB;}
+#light_slideshow a 			{ color: #999;}
+#light_slideshow a:hover 	{ color: #666;}
+
+#light_slideshow #content {
+	background-color: #EFEFEF;
+	border: 1px #EFEFEF solid;
+}
+
+#light_slideshow #theImageAndTitle 	{ margin-bottom: 3px;}
+#light_slideshow #theMainImage		{ border-color: #444;}
+#light_slideshow #imageTitle			{ color: #999;}
+
+/* Comments ------------------------------------------------------------------------------------ */
+
+#comments > ul > li 						{ background: #BFBFBF;}
+.subcontent .stuffs_block #comments li  	{ background: #AFAFAF;}
+#comments .description 					{ color: #666;}
+#comments .description .author,
+#comments .description .date 				{ color: #3F3F3F;}
+#commentList li							{ border-top: 1px dotted #9F9F9F;}
+.commentList a 							{ color: #333;}
+.commentList a:hover						{ color: #111;}
+
+/* Tags ---------------------------------------------------------------------------------------- */
+
+fieldset legend 			{ color: #999;}
+#fullTagCloud a:hover 	{ background: #9F9F9F;}
+
+/* Calendar ------------------------------------------------------------------------------------ */
+
+.calMonth td 			{ background-color: #C9C9C9;}
+
+
+/* Inputs & Forms ------------------------------------------------------------------------------ */
+
+input, select, textarea {
+	background-color: #999;
+	border: 1px solid #666;
+	color: #0F0F0F;
+}
+
+input[type="submit"], input[type="reset"] {
+	background-color: #C0C0C0;
+	border: 1px solid #9F9F9F;
+	color: #666;
+}
+input[type="submit"]:hover, input[type="reset"]:hover {
+	background-color: #999;
+	border: 1px solid #666;
+	color: #0F0F0F;
+}
+
+fieldset		 	{ border: 1px #9F9F9F dotted;}
+.mandatorystar 	{ color: #e04040;}
+
+#quicksearch input {
+	color:#444;
+	background:#AFAFAF;
+}
+
+#quickconnect input#username,
+#quickconnect input#password {
+	color:#555;
+}
+
+/* Footer -------------------------------------------------------------------------------------- */
+
+.footer_login a 			{ color:#999;}
+.footer_login a:hover 	{ color:#333;}
+
+/* Infos & Errors ------------------------------------------------------------------------------ */
+
+.errors {
+	border: 2px solid #A04040;
+	color: #A04040;
+}
+
+.infos {
+	border: 2px solid #40A040;
+	color: #40A040;
+}
+
+.errors a 	{ color: #FF0000;}
+.infos a 	{ color: #00FF00;}
+
+/* RV Maps & Earth Plugin ---------------------------------------------------------------------- */
+
+#mapPicture {
+	color:#DFDFDF;
+}
+
+/* User Tags Plugin ---------------------------------------------------------------------------- */
+
+#Tags ul.token-input-list-facebook {
+	background-color: #AAA;
+	border-color: #999;
+}
+
+#Tags li.token-input-token-facebook {
+	background-color: #999;
+	border-color: #666;
+	color: #111;
+}
+
+#Tags li.token-input-input-token-facebook input {
+	background-color: #999;
+	color: #111;
+}
+
+/* PWG Stuffs Plugin --------------------------------------------------------------------------- */
+
+.subcontent .stuffs_block .left_block,
+.subcontent .stuffs_block .right_block,
+.subcontent .stuffs_block .middle_block {
+	background-color:#CFCFCF;
+	color:#666;
+}
+
+/* No Thumb France CSS ------------------------------------------------------------------------- */
+
+.naf .stuffs_block .personal_block ul.thumbnailCategories li:hover,
+.naf .thumbnailCategories li:hover,
+.naf .subcontent  .stuffs_block .personal_block ul.thumbnailCategories li:hover {
+	color: #3F3F3F;
+}
+
+.naf .thumbnailCategory .illustration img 			{ border: 1px solid #888;}
+.naf .thumbnailCategory .illustration img:hover 	{ border: 1px solid #3F3F3F;}
+
+.ntf .wrap1 .wrap2 .thumbnail {
+	border:solid 1px #BBB;
+}
+.ntf .wrap1 .wrap2 .thumbnail:hover {
+	border:solid 1px #888;
+}
+
+/*-- start of stripped and columns -----------*/
+/**/
+/**** Isotope CSS3 transitions ****/
+
+/**** disabling Isotope CSS3 transitions ****/
+/****************
+ color backgroung etc 
+ ************************/
+body {
+    background-color: #E1E1E1;
+    color: #000000;
+}
+a {
+    color: #000000;
+    text-decoration: none;
+}
+.masonry-brick, .bloc .title, .bloc_big .title, .nav_bulle {
+	color: #000000;
+	background-image: url("img/btn.png");
+	text-decoration: none;
+	text-transform: none;
+}
+#theHeader a, .titrePage a, .footer_login a, .navigationBar a {
+    color: #19AAB0;
+}
+.album {
+	background-color:#A6A6A6;
+}
+.bloc_stuff {
+	border: 1px solid #BDBDBD;
+}
+#menubar {
+	color: #000000;
+	background-image: url("img/btn.png");
+	text-decoration: none;
+	border: 1px solid #BDBDBD;
+}
+.browsePath, #theHeader, #imageTitle, .randomButtons, #footer_left, #copyright {
+	color: #000000;
+	background-image: url("img/btn.png");
+	text-decoration: none;
+	text-transform: none;
+	border: 1px solid #BDBDBD;
+}
+.titrePage .categoryActions {
+	color: #000000;
+	background-image: url("img/btn.png");
+	text-decoration: none;
+	text-transform: none;
+	border: 1px solid #BDBDBD;
+}
+#tabZone {
+	color: #000000;
+	background-image: url("img/btn.png");
+	text-decoration: none;
+	text-transform: none;
+	border: 1px solid #BDBDBD;
+}
+#tabZone * {
+	color: #000000;
+}
Index: /extensions/stripped_white_bloc/themeconf.inc.php
===================================================================
--- /extensions/stripped_white_bloc/themeconf.inc.php	(revision 19161)
+++ /extensions/stripped_white_bloc/themeconf.inc.php	(revision 19161)
@@ -0,0 +1,25 @@
+<?php
+/*
+Theme Name: White Stripped & Columns
+Version: 0.4
+Description: stripped_white_bloc
+Theme URI: 
+Author: jjf
+Author URI: http://fristersoft.dyndns.org
+*/
+
+
+ 
+$themeconf = array(
+  'parent' => 'stripped_black_bloc',
+  'name' => 'stripped_white_bloc',
+  'theme_dir' => 'stripped_white_bloc',
+  'icon_dir' => 'themes/stripped/icon',
+  'img_dir' => 'themes/stripped_white_bloc/img',
+  'admin_icon_dir' => 'themes/default/icon/admin',
+  'mime_icon_dir' => 'themes/default/icon/mimetypes/',
+  'local_head' => '',
+  'load_parent_local_head' => true,
+);
+
+?>