Index: /extensions/stripped_cuise_bloc/theme.css.php
===================================================================
--- /extensions/stripped_cuise_bloc/theme.css.php	(revision 19230)
+++ /extensions/stripped_cuise_bloc/theme.css.php	(revision 19231)
@@ -15,5 +15,4 @@
 BODY, html,#thePicturePage,  #imageHeaderBar {   
 background:Transparent url(<?php echo $fond ;?>)  ;
-
 }
 #the_page, #content, .content, .thumbnailCategory{   
@@ -146,5 +145,8 @@
 fieldset { background:url(<?php echo $root ; ?>images/bph.png);}
 
-fieldset legend {border:none;background:url(<?php echo $root ; ?>images/bph.png);}
+fieldset legend {
+border:none;
+background:url(<?php echo $root ; ?>images/bph.png);}
+
 #subContent{background:url(<?php echo $fond ;?>);}
 
@@ -174,5 +176,5 @@
 
 $C_303030 = '#606060';
- 
+ $border_color = '#606060';
 
 $tag_hover ='transparent';
@@ -247,12 +249,6 @@
 
 
-.titrePage .categoryActions {
-  padding-top:2px;
-}
-
-
-
 .additional_info {
-  border-right:1px <?php echo $C_303030 ;?> dotted;
+  border-right:1px <?php echo $border_color ;?> dotted;
   
 }
@@ -267,9 +263,9 @@
 
 #subContent h2 {
-  border-bottom:1px solid <?php echo $C_303030 ;?>; 
+  border-bottom:1px solid <?php echo $border_color ;?>; 
 }
 
 .thumbnailCategory {
-  border-bottom: 1px <?php echo $C_303030 ;?> solid;
+  border-bottom: 1px <?php echo $border_color ;?> solid;
   
 }
@@ -279,14 +275,14 @@
 }
 .illustration a img {
-  border:2px <?php echo $C_ffffff ; ?> solid;
+  border:2px <?php echo $border_color ; ?> solid;
 }
 
 p.thumbCatDesc {
-  border-top:1px <?php echo $C_303030 ;?> dotted;
+  border-top:1px <?php echo $border_color ;?> dotted;
  
 }
 
 div ul.thumbnails img, #linkPrev img, #linkNext img {
-  border:1px solid <?php echo $C_ffffff ; ?>;
+  border:1px solid <?php $border_color ; ?>;
 }
 
@@ -298,14 +294,14 @@
 
  background:yellow url(<?php echo $root ; ?>images/bph.jpg) ;
-  border-top:1px <?php echo $C_303030 ;?> solid;
+  border-top:1px <?php echo $border_color ;?> solid;
 }
 
 
 #menubar {
-  border:1px <?php echo $C_303030 ;?> solid; 
+  border:1px <?php echo $border_color ;?> solid; 
 }
 
 #menubar dt {
-  background-color: <?php echo $C_303030 ;?>; 
+  background-color: <?php echo $border_color ;?>; 
   backgroundColor:transparent; 
 }
@@ -351,6 +347,6 @@
 input[type="submit"], input[type="button"], input[type="reset"], button {
  
-  border-bottom:1px <?php echo $C_606060 ;?> solid;
-  border-right:1px <?php echo $C_606060 ;?> solid;
+  border-bottom:1px <?php echo $border_color ;?> solid;
+  border-right:1px <?php echo $border_color ;?> solid;
   border-top:1px <?php echo $C_ffffff ; ?> solid;
   border-left:1px <?php echo $C_ffffff ; ?> solid;
@@ -361,10 +357,10 @@
   border-bottom:1px <?php echo $C_ffffff ; ?> solid;
   border-right:1px <?php echo $C_ffffff ; ?> solid;
-  border-top:1px <?php echo $C_606060 ;?> solid;
-  border-left:1px <?php echo $C_606060 ;?> solid;
+  border-top:1px <?php echo $border_color ;?> solid;
+  border-left:1px <?php echo $border_color ;?> solid;
 }
 
 fieldset {
-  border:1px <?php echo $C_606060 ;?> dotted;
+  border:1px <?php echo $border_color ;?> dotted;
 }
 
@@ -374,6 +370,6 @@
 /*  picture page*/
 .switchBox { 
-/*  background-color: <?php echo $C_333333 ;?>; */
-  border: 1px solid <?php echo $C_ffffff ; ?>;
+
+  border: 1px solid <?php echo $border_color ; ?>;
   
  background:  url(<?php echo $root ; ?>images/bgh.png); 
@@ -394,10 +390,10 @@
 
 #theImgContainer {
-  border:8px <?php echo $C_ffffff ; ?> solid;
+  border:8px <?php echo $border_color ; ?> solid;
 }
 
 
 #imageToolBarContainer {
-  border-bottom:1px <?php echo $C_606060 ;?> solid;
+  border-bottom:1px <?php echo $border_color ;?> solid;
 }
 
@@ -409,16 +405,15 @@
 
 .navThumbPrevContent a img, .navThumbNextContent a img {
-  border:1px <?php echo $C_606060 ;?> solid;
+  border:1px <?php echo $border_color ;?> solid;
 }
 
 .navThumbPrevContent a:hover img, .navThumbNextContent a:hover img {
-  border:1px <?php echo $C_f0f0f0 ;?> solid;
-}
-
-
-
-.infoTable .label {
- 
-  border-left:1px dotted <?php echo $C_606060 ;?>;
+  border:1px <?php echo $border_color ;?> solid;
+}
+
+
+
+.infoTable .label { 
+  border-left:1px dotted <?php echo $border_color ;?>;
 }
 
@@ -523,5 +518,5 @@
 }
 ul.categoryActions li a{margin:0px;padding:0px;
-  vertical-align: middle;
+ /* vertical-align: middle;*/
   text-align: center;
   cursor:pointer
@@ -574,33 +569,61 @@
 } 
 
-.browsePath:hover, #theHeader, #imageTitle, .randomButtons:hover, #footer_left, #copyright{
-color:<?php echo $lien_a ;?>;
-} 
-#theHeader a, .titrePage a, .footer_login a, .navigationBar a{
-color:<?php echo $lien_a ;?>;
-} 
-#theHeader a:hover, .titrePage a:hover, .footer_login a:hover, .navigationBara:hover {
-color: <?php echo $a_Hover ;?>;
-} 
+
+
 ul.categoryActions li a{
 color:<?php echo $lien_a ;?>;
-}
+} 
 ul.categoryActions li a:hover{
 color: <?php echo $a_Hover ;?>;
-}
-.browsePath, #theHeader, #imageTitle, .randomButtons, #footer_left, #copyright ,.titrePage .categoryActions {  
+} 
+/*==============================================================*/
+#theHeader *, h2 a , .titrePage a, .footer_login *, .navigationBar a, #tabZone *{
+color:<?php echo $lien_a ;?>;
+} 
+#theHeader *:hover, .titrePage a:hover, .footer_login *:hover, .navigationBar a:hover, #tabZone *:hover {
+color: <?php echo $a_Hover ;?>;
+} 
+.browsePath, #theHeader, #imageTitle, .randomButtons, #footer_left, #copyright, #tabZone {  
 border:0px;  
-   background:Transparent url(<?php echo $root ; ?>images/button-bg.png)
-   color:black
+   background: url(<?php echo $root ; ?>images/button-bg.png) ;
+color:<?php echo $lien_a ;?>;
+}
+
+.titrePage .categoryActions {  
+border:0px;  
+top:0px;
+   background: url(<?php echo $root ; ?>images/button-bg.png) ;
+     color:<?php echo $lien_a ;?>;  
    }
-.titrePage .categoryActions {  
-border:0px;  margin:0px;padding:0px;
-   background:Transparent url(<?php echo $root ; ?>images/button-bg.png)
-   color:black
+
+.gmapsMarkup {
+   background:  url(<?php echo $root ; ?>images/bp3.jpg);
+min-width:300px;
+}
+.content bloc_stuff .isotope .isotope-item{
+         -moz-border-radius: 8px;  /* round corners with Geko */
+        border-radius: 8px 8px; /* round corners with CSS3 compliant browsers */
+      background:  url(<?php echo $root ; ?>images/bp3.jpg) ;
+min-width:250px;
+width:auto;
+}
+.content_block, #the_page .middle_block,   .content_block .additional_info{  
+        margin:0px; padding:5px;
+        border-color:<?php echo $border_color ;?>;  
+        color:<?php echo $lien_a ;?>;  
+         -moz-border-radius: 8px;  /* round corners with Geko */
+        border-radius: 8px 8px; /* round corners with CSS3 compliant browsers */
+      background:  url(<?php echo $root ; ?>images/bp3.jpg) ;
+ 
    }
-   .content_block .additional_info{  
-border:0px;  margin:0px;padding:0px;
-   background:Transparent url(<?php echo $root ; ?>images/button-bg.png)
-   color:black
-   }
+ .titrePage img{
+ float:none;
+ width:10px;height:10px
+ }
 /*==============================================================*/
+#languageSwitchBox a{
+ color:<?php echo $lien_a ;?>;  
+}
+#languageSwitchBox a:hover{
+color: <?php echo $a_Hover ;?>;
+}
Index: /extensions/stripped_cuise_bloc/themeconf.inc.php
===================================================================
--- /extensions/stripped_cuise_bloc/themeconf.inc.php	(revision 19230)
+++ /extensions/stripped_cuise_bloc/themeconf.inc.php	(revision 19231)
@@ -2,5 +2,5 @@
 /*
 Theme Name: Cuise stripped & columns
-Version: 1.0
+Version: 1.0.0
 Description: Cuise theme (sous-thème de stripped_black_bloc)
 Theme URI: http://piwigo.org/ext/extension_view.php?eid=652