Index: extensions/BatchDownloader/language/th_TH/plugin.lang.php
===================================================================
--- extensions/BatchDownloader/language/th_TH/plugin.lang.php	(revision 19240)
+++ extensions/BatchDownloader/language/th_TH/plugin.lang.php	(revision 19249)
@@ -27,3 +27,43 @@
 $lang['Download permissions'] = 'สิทธิ์การดาวน์โหลด';
 $lang['Downloads'] = 'ดาวน์โหลด';
+$lang['Unable to find ZipArchive PHP extension, Batch Downloader will use PclZip instead, but with degraded performance.'] = 'ไม่สามารถหาส่วนขยาย PHP ZipArchive, การดาวน์โหลดเอกสารทั้งชุดนี้ จะใช้ PclZip แทน ซึ่งจะมีประสิทธิภาพต่ำกว่าเอกสารแบบ PHP ZipArchive.';
+$lang['Warning: ZipArchive doesn\'t accept special characters like accentuated ones, angle quotes (») and non-latin alphabets.'] = 'คำเตือน: ชื่อเอกสาร ZipArchive ไม่สามารถใช้ตัวอักขระพิเศษ, และไม่สามารถใช้ตัวอักษรอื่นที่นอกเหนือจากอักษรละตินได้.';
+$lang['The archive is downloading, if the download doesn\'t start automatically please <a href="%s">click here</a>'] = 'ระบบกำลังเริ่มต้นการดาวน์โหลดโดยอัตโนมัติ, หากระบบไม่ทำงานอัตโนมัติ โปรด <a href="%s">คลิกที่นี่</a>';
+$lang['Starting download Archive #%d will destroy Archive #%d, be sure you finish the download. Continue ?'] = 'เริ่มต้นการดาวน์โหลดเอกสารเก่า #%d จะทำลายชุดดาวน์โหลด #%d ให้แน่ใจว่าคุณเสร็จสิ้นการดาวน์โหลด และไม่ต้องการดาวน์โหลดชุดดาวน์โหลดนี้อีกต่อไป';
+$lang['Whole gallery'] = 'แกลเลอรี่ทั้งหมด';
+$lang['You can not edit this set'] = 'คุณไม่สามารถแก้ไขชุดนี้';
+$lang['You choose to download %d pictures, but the system is limited to %d. You can edit the set, or the last %d pictures will not be downloaded.'] = 'คุณเลือกที่จะดาวน์โหลดรูปภาพ %d แต่ระบบจะถูกจำกัด ไปเป็น %d คุณสามารถแก้ไขชุดหรือภาพล่าสุด %d จะไม่ถูกดาวน์โหลด';
+$lang['done'] = 'ดำเนินการ';
+$lang['download'] = 'ดาวน์โหลด';
+$lang['hours'] = 'ชั่วโมง';
+$lang['real number of archives can differ'] = 'จำนวนที่แท้จริงของขนาดเอกสารอาจแตกต่างกันได้';
+$lang['Maximum number of photos per download set'] = 'จำนวนสูงสุดของภาพถ่ายชุดต่อการดาวน์โหลด';
+$lang['Maximum photo size'] = 'ขนาดภาพสูงสุด
+';
+$lang['Maximum size of each archive (in Megabytes)'] = 'ขนาดสูงสุดของแต่ละเอกสาร (มีหน่วยเป็นเมกะไบต์)';
+$lang['Remove all finished downloads'] = 'ลบการดาวน์โหลดที่สำเร็จแล้วทั้งหมด';
+$lang['Remove from download set'] = 'ลบออกจากชุดการดาวน์โหลด';
+$lang['Return to download page'] = 'กลับไปที่หน้าดาวน์โหลด';
+$lang['<b>Warning:</b> all files will be deleted within %d hours'] = '<b> คำเตือน: </b> ไฟล์ทั้งหมดจะถูกลบภายใน %d ชั่วโมง';
+$lang['Confirm the download of %d pictures?'] = 'ยืนยันการดาวน์โหลดภาพ %d ?';
+$lang['Delete downloads after'] = 'ลบการดาวน์โหลดหลังจาก';
+$lang['Download all pictures of this selection'] = 'ดาวน์โหลดรูปภาพที่เลือกทั้งหมดนี้';
+$lang['Estimated number of archives'] = 'จำนวนโดยประมาณของเอกสาร';
+$lang['Estimated size'] = 'ขนาดโดยประมาณ';
+$lang['Random'] = 'สุ่ม';
+$lang['Set type'] = 'กำหนดรูปแบบ';
+$lang['Total size'] = 'ขนาดทั้งหมด';
+$lang['User collection'] = 'คอลเลกชันของผู้ใช้งาน';
+$lang['User groups'] = 'กลุ่มผู้ใช้งาน';
+$lang['Archive comment'] = 'ความคิดเห็นของเอกสาร';
+$lang['Archive prefix'] = 'คำนำหน้าชื่อเอกสาร';
+$lang['Archives'] = 'เอกสาร';
+$lang['Batch Downloader'] = 'ดาวน์โหลดทั้งชุด';
+$lang['Cancel this set'] = 'ยกเลิกชุดนี้';
+$lang['Delete this set'] = 'ลบชุดนี้';
+$lang['Download set deleted'] = 'ดาวน์โหลดชุดที่เลือก';
+$lang['Edit the set'] = 'แก้ไขชุดนี้';
+$lang['Generate ZIP'] = 'สร้างเอกสาร ZIP';
+$lang['Number of archives'] = 'จำนวนเอกสาร';
+$lang['Number of images'] = 'จำนวนรูปภาพ';
 ?>