Index: /trunk/admin/themes/default/template/group_list.tpl
===================================================================
--- /trunk/admin/themes/default/template/group_list.tpl	(revision 19291)
+++ /trunk/admin/themes/default/template/group_list.tpl	(revision 19292)
@@ -97,5 +97,5 @@
           <option value="duplicate">{'Duplicate'|@translate}</option>
           <option value="manage_members">{'Manage the members'|@translate}</option>
-          <option value="manage_pemissions">{'Manage permissions'|@translate}</option>
+          <option value="manage_pemissions">{'Manage Permissions'|@translate}</option>
           <option value="toggle_default">{'Toggle \'default group\' property'|@translate}</option>
       {if !empty($element_set_groupe_plugins_actions)}
@@ -159,5 +159,5 @@
         {foreach from=$groups item=group}
         <p group_id="{$group.ID}" class="grp_action">
-          {$group.NAME} > <a href="{$group.U_PERM}" title="{'Permissions'|@translate}">{'Manage permissions'|@translate}</a>
+          {$group.NAME} > <a href="{$group.U_PERM}" title="{'Permissions'|@translate}">{'Manage Permissions'|@translate}</a>
         </p>
         {/foreach}
Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 19291)
+++ /trunk/language/en_UK/admin.lang.php	(revision 19292)
@@ -311,4 +311,5 @@
 $lang['Dump Database'] = 'Dump Database';
 $lang['Duplicate selected tags'] = 'Duplicate selected tags';
+$lang['Duplicate'] = 'Duplicate';
 $lang['Duplicates'] = 'Duplicates';
 $lang['Edit album permissions'] = "Edit album permissions";
@@ -482,4 +483,5 @@
 $lang['manage sub-albums'] = "manage sub-albums";
 $lang['Manage tags'] = "Manage tags";
+$lang['Manage the members'] = 'Manage the members';
 $lang['Manage this set of %d photos'] = 'Manage this set of %d photos';
 $lang['Manage'] = "Manage";
@@ -491,4 +493,5 @@
 $lang['Members'] = "Members";
 $lang['Menu Management'] = 'Menus';
+$lang['Merge selected groups'] = 'Merge selected groups';
 $lang['Merge selected tags'] = 'Merge selected tags';
 $lang['Merge tags'] = 'Merge tags';
@@ -522,5 +525,7 @@
 $lang['No file was uploaded'] = 'No file was uploaded';
 $lang['No group is permitted to see this private album'] = 'No group is permitted to see this private album';
+$lang['No group selected, no action possible.'] = 'No group selected, no action possible.';
 $lang['No mail to send.'] = "No mail to be sent.";
+$lang['No members to manage'] = "No members to manage";
 $lang['No order field selected'] = 'No order field selected';
 $lang['No photo can be deleted'] = "No photo can be deleted";
@@ -623,4 +628,5 @@
 $lang['Piwigo version'] = "Piwigo version";
 $lang['pixels'] = 'pixels';
+$lang['Please select at least two groups'] = 'Please select at least two groups';
 $lang['Please check "plugins" folder and sub-folders permissions (CHMOD).'] = "Please check \"plugins\" folder and sub-folders permissions (CHMOD).";
 $lang['Please wait...'] = 'Please wait...';
@@ -678,4 +684,5 @@
 $lang['remove this filter'] = 'remove this filter';
 $lang['remove title'] = 'remove title';
+$lang['Rename'] = 'Rename';
 $lang['Repair and optimize database'] = "Repair and optimize database";
 $lang['Replacement of original templates by customized templates from template-extension subfolder'] = "Replacement of original templates by customized templates from the template-extension subfolder";
@@ -817,4 +824,6 @@
 $lang['This name is already used by another group.'] = "This name is already used by another group.";
 $lang['THIS PLUGIN IS NOW PART OF PIWIGO CORE! DELETE IT NOW.'] = 'THIS PLUGIN IS NOW PART OF PIWIGO CORE! UNINSTALL IT NOW!';
+$lang['This group will be set to default'] = "This group will be set to default";
+$lang['This group will be unset to default'] = "This group will be unset to default";
 $lang['This site already exists'] = "This site already exists";
 $lang['This theme was not designed to be directly activated'] = 'This theme was not designed to be directly activated';
@@ -836,4 +845,5 @@
 $lang['Type here the author name'] = 'Type here the author name';
 $lang['Type here the title'] = 'Type here the title';
+$lang['Type here the name of the new group'] = 'Type here the name of the new group';
 $lang['Type in a search term'] = "Type in a search term";
 $lang['Unable to check for upgrade.'] = "Unable to check for upgrade.";
Index: /trunk/language/fr_CA/admin.lang.php
===================================================================
--- /trunk/language/fr_CA/admin.lang.php	(revision 19291)
+++ /trunk/language/fr_CA/admin.lang.php	(revision 19292)
@@ -936,4 +936,13 @@
 $lang['Source tag'] = 'Source du mot clé';
 $lang['Tag "%s" is now a duplicate of "%s"'] = 'Le mot clé "%s" est désormais une copie de "%s"';
-
+$lang['Manage the members'] = 'Gérer les membres';
+$lang['Type here the name of the new group'] = 'Inscrivez ici le nom du nouveau groupe';
+$lang['No group selected, no action possible.'] = 'Pas de groupes sélectionnés, pas d\'actions possibles.';
+$lang['Please select at least two groups'] = 'Merci de sélectionner au moins deux groupes';
+$lang['Duplicate'] = 'Dupliquer';
+$lang['Merge selected groups'] = 'Fusionner les groupes sélectionnés';
+$lang['This group will be set to default'] = "Ce groupe deviendra par défaut";
+$lang['This group will be unset to default'] = "Ce groupe ne sera plus par défaut";
+$lang['No members to manage'] = "Aucun membre à gérer";
+$lang['Rename'] = 'Renommer';
 ?>
Index: /trunk/language/fr_FR/admin.lang.php
===================================================================
--- /trunk/language/fr_FR/admin.lang.php	(revision 19291)
+++ /trunk/language/fr_FR/admin.lang.php	(revision 19292)
@@ -940,3 +940,14 @@
 $lang['between %d and %d pixels'] = 'entre %d et %d pixels';
 $lang['between %.2f and %.2f'] = 'entre %.2f et %.2f';
+$lang['Manage the members'] = 'Gérer les membres';
+$lang['Type here the name of the new group'] = 'Inscrivez ici le nom du nouveau groupe';
+$lang['No group selected, no action possible.'] = 'Pas de groupes sélectionnés, pas d\'actions possibles.';
+$lang['Please select at least two groups'] = 'Merci de sélectionner au moins deux groupes';
+$lang['Duplicate'] = 'Dupliquer';
+$lang['Merge selected groups'] = 'Fusionner les groupes sélectionnés';
+$lang['This group will be set to default'] = "Ce groupe deviendra par défaut";
+$lang['This group will be unset to default'] = "Ce groupe ne sera plus par défaut";
+$lang['No members to manage'] = "Aucun membre à gérer";
+$lang['Rename'] = 'Renommer';
+
 ?>