Index: extensions/Media_Icon/template/folder_media_icon.css
===================================================================
--- extensions/Media_Icon/template/folder_media_icon.css	(revision 19284)
+++ extensions/Media_Icon/template/folder_media_icon.css	(revision 19324)
@@ -1,188 +1,35 @@
 .media_icon_youtube, .media_icon_admin_youtube{
-  background: transparent url('img/folder_video.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_youtube{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_youtube {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/folder_video.png') no-repeat;
 }
 
 .media_icon_vimeo, .media_icon_admin_vimeo{
-  background: transparent url('img/folder_video.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_vimeo{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_vimeo {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/folder_video.png') no-repeat;
 }
 
 .media_icon_dailymotion, .media_icon_admin_dailymotion{
-  background: transparent url('img/folder_video.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_dailymotion{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_dailymotion {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/folder_video.png') no-repeat;
 }
 
 .media_icon_wat, .media_icon_admin_wat{
-  background: transparent url('img/folder_video.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_wat{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_wat {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/folder_video.png') no-repeat;
 }
 
 .media_icon_wideo, .media_icon_admin_wideo{
-  background: transparent url('img/folder_video.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_wideo{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_wideo {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/folder_video.png') no-repeat;
 }
 
 .media_icon_pdf, .media_icon_admin_pdf{
-  background: transparent url('img/folder_pdf.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_pdf{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_pdf {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/folder_pdf.png') no-repeat;
 }
 
 .media_icon_document, .media_icon_admin_document{
-  background: transparent url('img/folder_document.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_document{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_document {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/folder_document.png') no-repeat;
 }
 
 .media_icon_spreadsheet, .media_icon_admin_spreadsheet{
-  background: transparent url('img/folder_spreadsheet.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
-}
-
-.media_icon_admin_spreadsheet{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_spreadsheet {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
+	background: transparent url('img/folder_spreadsheet.png') no-repeat;
 }
 
 .media_icon_presentation, .media_icon_admin_presentation{
-  background: transparent url('img/folder_presentation.png') no-repeat;
-  width: 60px;
-  height: 60px;
-  z-index:99;
+	background: transparent url('img/folder_presentation.png') no-repeat;
 }
-
-.media_icon_admin_presentation{
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}
-
-.media_icon_presentation {
-  position: absolute;
-  bottom: 5px;
-  right: 5px;
-  text-align: right;
-}