Index: /extensions/Media_Icon/admin.php
===================================================================
--- /extensions/Media_Icon/admin.php	(revision 19334)
+++ /extensions/Media_Icon/admin.php	(revision 19335)
@@ -5,4 +5,7 @@
 //Load globals
 global $conf, $page;
+
+//CSS Style
+add_event_handler('loc_end_page_header', 'media_icon_admin_css');
 
 //Library for tabs
@@ -42,3 +45,13 @@
 		break;
 }
+
+function media_icon_admin_css() {
+	global $template, $conf;
+	
+	$conf_media_icon_general = unserialize($conf['media_icon_general']);
+
+	//add a stylesheet
+	$template->append('head_elements', '<link rel="stylesheet" type="text/css" href="'.MEDIA_ICON_PATH.'template/media_icon.css">');
+	$template->append('head_elements', '<link rel="stylesheet" type="text/css" href="'.MEDIA_ICON_PATH.'admin/admin.css">');
+}
 ?>
Index: /extensions/Media_Icon/admin/admin.css
===================================================================
--- /extensions/Media_Icon/admin/admin.css	(revision 19335)
+++ /extensions/Media_Icon/admin/admin.css	(revision 19335)
@@ -0,0 +1,28 @@
+.showInfo {
+  position:static;
+  display:inline-block;
+  padding:1px 7px;
+  width:4px;
+  height:16px;
+  line-height:16px;
+  font-size:0.8em;
+}
+
+.media_icon_admin_youtube,
+.media_icon_admin_vimeo,
+.media_icon_admin_dailymotion,
+.media_icon_admin_wat,
+.media_icon_admin_wideo,
+.media_icon_admin_pdf,
+.media_icon_admin_document,
+.media_icon_admin_spreadsheet,
+.media_icon_admin_presentation   {
+	width: 60px;
+	height: 60px;
+	z-index:99;
+	display: block;
+	margin-left: auto;
+	margin-right: auto;
+	margin-bottom: 2em;
+}
+
Index: /extensions/Media_Icon/admin/admin_general.php
===================================================================
--- /extensions/Media_Icon/admin/admin_general.php	(revision 19334)
+++ /extensions/Media_Icon/admin/admin_general.php	(revision 19335)
@@ -33,14 +33,3 @@
 //Assign the template contents to ADMIN_CONTENT
 $template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
-
-add_event_handler('loc_end_page_header', 'media_icon_admin_css');
-function media_icon_admin_css() {
-	global $template, $conf;
-	
-	$conf_media_icon_general = unserialize($conf['media_icon_general']);
-	
-	//add a stylesheet
-	$template->append('head_elements', '<link rel="stylesheet" type="text/css" href="'.MEDIA_ICON_PATH.'template/media_icon.css">');
-	$template->append('head_elements', '<link rel="stylesheet" type="text/css" href="'.MEDIA_ICON_PATH.'template/'.$conf_media_icon_general['style'].'_media_icon.css">');
-}
 ?>
Index: /extensions/Media_Icon/admin/admin_general.tpl
===================================================================
--- /extensions/Media_Icon/admin/admin_general.tpl	(revision 19334)
+++ /extensions/Media_Icon/admin/admin_general.tpl	(revision 19335)
@@ -24,4 +24,14 @@
 </style>
 {/literal}{/html_head}
+{footer_script}{literal}
+jQuery(".showInfo").tipTip({
+  delay: 0,
+  fadeIn: 200,
+  fadeOut: 200,
+  maxWidth: '300px',
+  defaultPosition: 'right'
+});
+{/literal}{/footer_script}
+
 
 <div class="titrePage">
@@ -51,12 +61,12 @@
 <fieldset>
 	<legend>{'Result'|@translate}</legend>
-	<div class="media_icon_admin_element">{'Youtube videos'|@translate}<span class="media_icon_admin_youtube"></span></div>
-	<div class="media_icon_admin_element">{'Vimeo videos'|@translate} <span class="media_icon_admin_vimeo"></span></div>
-	<div class="media_icon_admin_element">{'Dailymotion videos'|@translate} <span class="media_icon_admin_dailymotion"></span></div>
-	<div class="media_icon_admin_element">{'Wat videos'|@translate} <span class="media_icon_admin_wat"></span></div>
-	<div class="media_icon_admin_element">{'Wideo videos'|@translate} <span class="media_icon_admin_wideo"></span></div>
-	<div class="media_icon_admin_element">{'pdf files'|@translate} <span class="media_icon_admin_pdf"></span></div>
-	<div class="media_icon_admin_element">{'Documents'|@translate} <span class="media_icon_admin_document"></span></div>
-	<div class="media_icon_admin_element">{'Spreadsheets'|@translate} <span class="media_icon_admin_spreadsheet"></span></div>
-	<div class="media_icon_admin_element">{'Presentations'|@translate} <span class="media_icon_admin_presentation"></span></div>
+	<div class="media_icon_admin_element">{'Youtube videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a><span class="media_icon_admin_youtube"></span></div>
+	<div class="media_icon_admin_element">{'Vimeo videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a><span class="media_icon_admin_vimeo"></span></div>
+	<div class="media_icon_admin_element">{'Dailymotion videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a><span class="media_icon_admin_dailymotion"></span></div>
+	<div class="media_icon_admin_element">{'Wat videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a><span class="media_icon_admin_wat"></span></div>
+	<div class="media_icon_admin_element">{'Wideo videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a><span class="media_icon_admin_wideo"></span></div>
+	<div class="media_icon_admin_element">{'pdf files'|@translate} <a class="showInfo" title="{'pdf files'|@translate}">i</a><span class="media_icon_admin_pdf"></span></div>
+	<div class="media_icon_admin_element">{'Documents'|@translate} <a class="showInfo" title="{'doc, docx or odt files'|@translate}">i</a><span class="media_icon_admin_document"></span></div>
+	<div class="media_icon_admin_element">{'Spreadsheets'|@translate} <a class="showInfo" title="{'xls, xlsx or ods files'|@translate}">i</a><span class="media_icon_admin_spreadsheet"></span></div>
+	<div class="media_icon_admin_element">{'Presentations'|@translate} <a class="showInfo" title="{'ppt, pptx or odp files'|@translate}">i</a><span class="media_icon_admin_presentation"></span></div>
 </fieldset>
Index: /extensions/Media_Icon/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/Media_Icon/language/en_UK/plugin.lang.php	(revision 19334)
+++ /extensions/Media_Icon/language/en_UK/plugin.lang.php	(revision 19335)
@@ -1,6 +1,12 @@
 <?php
 $lang['Media Icon Plugin'] = 'Media Icon Plugin';
+
+//admin.php or common to all admin files
+$lang['General'] = 'General';
+$lang['Advanced options'] = 'Advanced options';
+$lang['Information data registered in database'] = 'Information data registered in database';
+
+//admin_general.tpl
 $lang['Style'] = 'Style';
-$lang['Result'] = 'Result';
 $lang['Icon style:'] = 'Icon style:';
 $lang['Logo'] = 'Logo';
@@ -15,13 +21,12 @@
 $lang['Wat videos'] = 'Wat videos';
 $lang['Wideo videos'] = 'Wideo videos';
-$lang['pdf files'] = 'pdf files';
 $lang['Documents'] = 'Documents';
 $lang['Spreadsheets'] = 'Spreadsheets';
 $lang['Presentations'] = 'Presentations';
-$lang['Information data registered in database'] = 'Information data registered in database';
-
-//admin.php
-$lang['General'] = 'General';
-$lang['Advanced options'] = 'Advanced options';
+$lang['Videos added with'] = 'Videos added with';
+$lang['pdf files'] = 'pdf files';
+$lang['doc, docx or odt files'] = 'doc, docx or odt files';
+$lang['xls, xlsx or ods files'] = 'xls, xlsx or ods files';
+$lang['ppt, pptx or odp files'] = 'ppt, pptx or odp files';
 
 //admin_advanced.php
Index: /extensions/Media_Icon/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/Media_Icon/language/es_ES/plugin.lang.php	(revision 19334)
+++ /extensions/Media_Icon/language/es_ES/plugin.lang.php	(revision 19335)
@@ -1,6 +1,12 @@
 <?php
 $lang['Media Icon Plugin'] = 'Plugin Media Icon';
+
+//admin.php or common to all admin files
+$lang['General'] = 'General';
+$lang['Advanced options'] = 'Opciones avanzadas';
+$lang['Information data registered in database'] = 'Datos registrados en la base de datos';
+
+//admin_general.tpl
 $lang['Style'] = 'Estilo';
-$lang['Result'] = 'Resultado';
 $lang['Icon style:'] = 'Estilo de los iconos :';
 $lang['Logo'] = 'Logo';
@@ -15,13 +21,12 @@
 $lang['Wat videos'] = 'Vídeos Wat';
 $lang['Wideo videos'] = 'Vídeos Wideo';
-$lang['pdf files'] = 'Archivo pdf';
 $lang['Documents'] = 'Documentos';
 $lang['Spreadsheets'] = 'Hojas de cálculo';
 $lang['Presentations'] = 'Presentaciones';
-$lang['Information data registered in database'] = 'Datos registrados en la base de datos';
-
-//admin.php
-$lang['General'] = 'General';
-$lang['Advanced options'] = 'Opciones avanzadas';
+$lang['Videos added with'] = 'Vídeo añadido con';
+$lang['pdf files'] = 'Archivos pdf';
+$lang['doc, docx or odt files'] = 'Archivos doc, docx o odt';
+$lang['xls, xlsx or ods files'] = 'Archivos xls, xlsx o ods';
+$lang['ppt, pptx or odp files'] = 'Archivos ppt, pptx o odp';
 
 //admin_advanced.php
Index: /extensions/Media_Icon/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Media_Icon/language/fr_FR/plugin.lang.php	(revision 19334)
+++ /extensions/Media_Icon/language/fr_FR/plugin.lang.php	(revision 19335)
@@ -1,6 +1,12 @@
 <?php
 $lang['Media Icon Plugin'] = 'Plugin Media Icon';
+
+//admin.php or common to all admin files
+$lang['General'] = 'Général';
+$lang['Advanced options'] = 'Options avancées';
+$lang['Information data registered in database'] = 'Informations enregistrées dans la base de données';
+
+//admin_general.tpl
 $lang['Style'] = 'Style';
-$lang['Result'] = 'Résultat';
 $lang['Icon style:'] = 'Style d\'icône :';
 $lang['Logo'] = 'Logo';
@@ -19,9 +25,9 @@
 $lang['Spreadsheets'] = 'Tableurs';
 $lang['Presentations'] = 'Présentations';
-$lang['Information data registered in database'] = 'Informations enregistrées dans la base de données';
-
-//admin.php
-$lang['General'] = 'Général';
-$lang['Advanced options'] = 'Options avancées';
+$lang['Videos added with'] = 'Videos added with';
+$lang['pdf files'] = 'Fichiers pdf';
+$lang['doc, docx or odt files'] = 'Fichiers doc, docx ou odt';
+$lang['xls, xlsx or ods files'] = 'Fichiers xls, xlsx ou ods';
+$lang['ppt, pptx or odp files'] = 'Fichiers ppt, pptx ou odp';
 
 //admin_advanced.php
Index: /extensions/Media_Icon/template/media_icon.css
===================================================================
--- /extensions/Media_Icon/template/media_icon.css	(revision 19334)
+++ /extensions/Media_Icon/template/media_icon.css	(revision 19335)
@@ -7,31 +7,7 @@
 .media_icon_document,
 .media_icon_spreadsheet,
-.media_icon_presentation,
-.media_icon_admin_youtube,
-.media_icon_admin_vimeo,
-.media_icon_admin_dailymotion,
-.media_icon_admin_wat,
-.media_icon_admin_wideo,
-.media_icon_admin_pdf,
-.media_icon_admin_document,
-.media_icon_admin_spreadsheet,
-.media_icon_admin_presentation   {
+.media_icon_presentation   {
 	width: 60px;
 	height: 60px;
 	z-index:99;
 }
-
-.media_icon_admin_youtube,
-.media_icon_admin_vimeo,
-.media_icon_admin_dailymotion,
-.media_icon_admin_wat,
-.media_icon_admin_wideo,
-.media_icon_admin_pdf,
-.media_icon_admin_document,
-.media_icon_admin_spreadsheet,
-.media_icon_admin_presentation {
-	display: block;
-	margin-left: auto;
-	margin-right: auto;
-	margin-bottom: 2em;
-}