Index: /extensions/Media_Icon/admin/admin.css
===================================================================
--- /extensions/Media_Icon/admin/admin.css	(revision 19336)
+++ /extensions/Media_Icon/admin/admin.css	(revision 19337)
@@ -14,4 +14,6 @@
 .media_icon_admin_wat,
 .media_icon_admin_wideo,
+.media_icon_admin_video,
+.media_icon_admin_music,
 .media_icon_admin_pdf,
 .media_icon_admin_document,
Index: /extensions/Media_Icon/admin/admin_general.tpl
===================================================================
--- /extensions/Media_Icon/admin/admin_general.tpl	(revision 19336)
+++ /extensions/Media_Icon/admin/admin_general.tpl	(revision 19337)
@@ -66,7 +66,9 @@
 	<div class="media_icon_admin_element">{'Wat videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a><span class="media_icon_admin_wat"></span></div>
 	<div class="media_icon_admin_element">{'Wideo videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a><span class="media_icon_admin_wideo"></span></div>
-	<div class="media_icon_admin_element">{'pdf files'|@translate} <a class="showInfo" title="{'pdf files'|@translate}">i</a><span class="media_icon_admin_pdf"></span></div>
-	<div class="media_icon_admin_element">{'Documents'|@translate} <a class="showInfo" title="{'doc, docx or odt files'|@translate}">i</a><span class="media_icon_admin_document"></span></div>
-	<div class="media_icon_admin_element">{'Spreadsheets'|@translate} <a class="showInfo" title="{'xls, xlsx or ods files'|@translate}">i</a><span class="media_icon_admin_spreadsheet"></span></div>
-	<div class="media_icon_admin_element">{'Presentations'|@translate} <a class="showInfo" title="{'ppt, pptx or odp files'|@translate}">i</a><span class="media_icon_admin_presentation"></span></div>
+	<div class="media_icon_admin_element">{'Videos'|@translate} <a class="showInfo" title="{'Files supported: webm, webmv, ogv, m4v, flv, mp4'|@translate}">i</a><span class="media_icon_admin_video"></span></div>
+	<div class="media_icon_admin_element">{'Musics'|@translate} <a class="showInfo" title="{'Files supported: mp3, ogg, oga, m4a, webma, fla, wav'|@translate}">i</a><span class="media_icon_admin_music"></span></div>
+	<div class="media_icon_admin_element">{'pdf files'|@translate} <a class="showInfo" title="{'Files supported: pdf'|@translate}">i</a><span class="media_icon_admin_pdf"></span></div>
+	<div class="media_icon_admin_element">{'Documents'|@translate} <a class="showInfo" title="{'Files supported: doc, docx and odt'|@translate}">i</a><span class="media_icon_admin_document"></span></div>
+	<div class="media_icon_admin_element">{'Spreadsheets'|@translate} <a class="showInfo" title="{'Files supported: xls, xlsx and ods'|@translate}">i</a><span class="media_icon_admin_spreadsheet"></span></div>
+	<div class="media_icon_admin_element">{'Presentations'|@translate} <a class="showInfo" title="{'Files supported: ppt, pptx and odp'|@translate}">i</a><span class="media_icon_admin_presentation"></span></div>
 </fieldset>
Index: /extensions/Media_Icon/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/Media_Icon/language/en_UK/plugin.lang.php	(revision 19336)
+++ /extensions/Media_Icon/language/en_UK/plugin.lang.php	(revision 19337)
@@ -21,12 +21,17 @@
 $lang['Wat videos'] = 'Wat videos';
 $lang['Wideo videos'] = 'Wideo videos';
+$lang['Videos'] = 'Videos';
+$lang['Musics'] = 'Musics';
+$lang['pdf files'] = 'pdf files';
 $lang['Documents'] = 'Documents';
 $lang['Spreadsheets'] = 'Spreadsheets';
 $lang['Presentations'] = 'Presentations';
 $lang['Videos added with'] = 'Videos added with';
-$lang['pdf files'] = 'pdf files';
-$lang['doc, docx or odt files'] = 'doc, docx or odt files';
-$lang['xls, xlsx or ods files'] = 'xls, xlsx or ods files';
-$lang['ppt, pptx or odp files'] = 'ppt, pptx or odp files';
+$lang['Files supported: webm, webmv, ogv, m4v, flv, mp4'] = 'Files supported: mp3, ogg, oga, m4a, webma, fla, wav';
+$lang['Files supported: mp3, ogg, oga, m4a, webma, fla, wav'] = 'Files supported: mp3, ogg, oga, m4a, webma, fla, wav';
+$lang['Files supported: pdf'] = 'Files supported: pdf';
+$lang['Files supported: doc, docx and odt'] = 'Files supported: doc, docx and odt';
+$lang['Files supported: xls, xlsx and ods'] = 'Files supported: xls, xlsx and ods';
+$lang['ppt, pptx and odp files'] = 'Files supported: ppt, pptx and odp';
 
 //admin_advanced.php
Index: /extensions/Media_Icon/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/Media_Icon/language/es_ES/plugin.lang.php	(revision 19336)
+++ /extensions/Media_Icon/language/es_ES/plugin.lang.php	(revision 19337)
@@ -21,12 +21,17 @@
 $lang['Wat videos'] = 'Vídeos Wat';
 $lang['Wideo videos'] = 'Vídeos Wideo';
+$lang['Videos'] = 'Vídeos';
+$lang['Musics'] = 'Músicas';
+$lang['pdf files'] = 'Archivos pdf';
 $lang['Documents'] = 'Documentos';
 $lang['Spreadsheets'] = 'Hojas de cálculo';
 $lang['Presentations'] = 'Presentaciones';
 $lang['Videos added with'] = 'Vídeo añadido con';
-$lang['pdf files'] = 'Archivos pdf';
-$lang['doc, docx or odt files'] = 'Archivos doc, docx o odt';
-$lang['xls, xlsx or ods files'] = 'Archivos xls, xlsx o ods';
-$lang['ppt, pptx or odp files'] = 'Archivos ppt, pptx o odp';
+$lang['Files supported: webm, webmv, ogv, m4v, flv, mp4'] = 'Archivos admitidos : mp3, ogg, oga, m4a, webma, fla, wav';
+$lang['Files supported: mp3, ogg, oga, m4a, webma, fla, wav'] = 'Archivos admitidos : mp3, ogg, oga, m4a, webma, fla, wav';
+$lang['Files supported: pdf'] = 'Archivos admitidos : pdf';
+$lang['Files supported: doc, docx and odt'] = 'Archivos admitidos : doc, docx y odt';
+$lang['Files supported: xls, xlsx and ods'] = 'Archivos admitidos : xls, xlsx y ods';
+$lang['ppt, pptx and odp files'] = 'Archivos admitidos : ppt, pptx y odp';
 
 //admin_advanced.php
Index: /extensions/Media_Icon/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Media_Icon/language/fr_FR/plugin.lang.php	(revision 19336)
+++ /extensions/Media_Icon/language/fr_FR/plugin.lang.php	(revision 19337)
@@ -21,4 +21,6 @@
 $lang['Wat videos'] = 'Vidéos Wat';
 $lang['Wideo videos'] = 'Vidéos Wideo';
+$lang['Videos'] = 'Vidéos';
+$lang['Musics'] = 'Musics';
 $lang['pdf files'] = 'Fichiers pdf';
 $lang['Documents'] = 'Documents';
@@ -26,8 +28,10 @@
 $lang['Presentations'] = 'Présentations';
 $lang['Videos added with'] = 'Videos added with';
-$lang['pdf files'] = 'Fichiers pdf';
-$lang['doc, docx or odt files'] = 'Fichiers doc, docx ou odt';
-$lang['xls, xlsx or ods files'] = 'Fichiers xls, xlsx ou ods';
-$lang['ppt, pptx or odp files'] = 'Fichiers ppt, pptx ou odp';
+$lang['Files supported: webm, webmv, ogv, m4v, flv, mp4'] = 'Fichiers supportés : mp3, ogg, oga, m4a, webma, fla, wav';
+$lang['Files supported: mp3, ogg, oga, m4a, webma, fla, wav'] = 'Fichiers supportés : mp3, ogg, oga, m4a, webma, fla, wav';
+$lang['Files supported: pdf'] = 'Fichiers supportés : pdf';
+$lang['Files supported: doc, docx and odt'] = 'Fichiers supportés : doc, docx et odt';
+$lang['Files supported: xls, xlsx and ods'] = 'Fichiers supportés : xls, xlsx et ods';
+$lang['ppt, pptx and odp files'] = 'Fichiers supportés : ppt, pptx et odp';
 
 //admin_advanced.php
Index: /extensions/Media_Icon/template/folder_media_icon.css
===================================================================
--- /extensions/Media_Icon/template/folder_media_icon.css	(revision 19336)
+++ /extensions/Media_Icon/template/folder_media_icon.css	(revision 19337)
@@ -19,4 +19,12 @@
 }
 
+.media_icon_video, .media_icon_admin_video{
+	background: transparent url('img/folder_video.png') no-repeat;
+}
+
+.media_icon_music, .media_icon_admin_music{
+	background: transparent url('img/folder_music.png') no-repeat;
+}
+
 .media_icon_pdf, .media_icon_admin_pdf{
 	background: transparent url('img/folder_pdf.png') no-repeat;
Index: /extensions/Media_Icon/template/foldercolor_media_icon.css
===================================================================
--- /extensions/Media_Icon/template/foldercolor_media_icon.css	(revision 19336)
+++ /extensions/Media_Icon/template/foldercolor_media_icon.css	(revision 19337)
@@ -19,4 +19,12 @@
 }
 
+.media_icon_video, .media_icon_admin_video{
+	background: transparent url('img/foldercolor_video.png') no-repeat;
+}
+
+.media_icon_music, .media_icon_admin_music{
+	background: transparent url('img/foldercolor_music.png') no-repeat;
+}
+
 .media_icon_pdf, .media_icon_admin_pdf{
 	background: transparent url('img/foldercolor_pdf.png') no-repeat;
Index: /extensions/Media_Icon/template/logo_media_icon.css
===================================================================
--- /extensions/Media_Icon/template/logo_media_icon.css	(revision 19336)
+++ /extensions/Media_Icon/template/logo_media_icon.css	(revision 19337)
@@ -19,4 +19,12 @@
 }
 
+.media_icon_video, .media_icon_admin_video{
+	background: transparent url('img/logo_video.png') no-repeat;
+}
+
+.media_icon_music, .media_icon_admin_music{
+	background: transparent url('img/logo_music.png') no-repeat;
+}
+
 .media_icon_pdf, .media_icon_admin_pdf{
 	background: transparent url('img/logo_pdf.png') no-repeat;
Index: /extensions/Media_Icon/template/media_icon.css
===================================================================
--- /extensions/Media_Icon/template/media_icon.css	(revision 19336)
+++ /extensions/Media_Icon/template/media_icon.css	(revision 19337)
@@ -4,4 +4,6 @@
 .media_icon_wat,
 .media_icon_wideo,
+.media_icon_video,
+.media_icon_music,
 .media_icon_pdf,
 .media_icon_document,
Index: /extensions/Media_Icon/template/media_icon_picture.tpl
===================================================================
--- /extensions/Media_Icon/template/media_icon_picture.tpl	(revision 19336)
+++ /extensions/Media_Icon/template/media_icon_picture.tpl	(revision 19337)
@@ -14,4 +14,6 @@
 .media_icon_wat,
 .media_icon_wideo,
+.media_icon_video,
+.media_icon_music,
 .media_icon_pdf,
 .media_icon_document,
Index: /extensions/Media_Icon/template/media_icon_thumbnails.tpl
===================================================================
--- /extensions/Media_Icon/template/media_icon_thumbnails.tpl	(revision 19336)
+++ /extensions/Media_Icon/template/media_icon_thumbnails.tpl	(revision 19337)
@@ -14,4 +14,6 @@
 .media_icon_wat,
 .media_icon_wideo,
+.media_icon_video,
+.media_icon_music,
 .media_icon_pdf,
 .media_icon_document,
@@ -38,4 +40,19 @@
 		//Wideo
 		$("img[media_icon^=wideo]").before('<span class="media_icon_wideo"></span>');
+		//Video
+		$("img[media_icon$=webm]").before('<span class="media_icon_video"></span>');
+		$("img[media_icon$=webmv]").before('<span class="media_icon_video"></span>');
+		$("img[media_icon$=ogv]").before('<span class="media_icon_video"></span>');
+		$("img[media_icon$=m4v]").before('<span class="media_icon_video"></span>');
+		$("img[media_icon$=flv]").before('<span class="media_icon_video"></span>');
+		$("img[media_icon$=mp4]").before('<span class="media_icon_video"></span>');
+		//Music
+		$("img[media_icon$=mp3]").before('<span class="media_icon_music"></span>');
+		$("img[media_icon$=ogg]").before('<span class="media_icon_music"></span>');
+		$("img[media_icon$=oga]").before('<span class="media_icon_music"></span>');
+		$("img[media_icon$=m4a]").before('<span class="media_icon_music"></span>');
+		$("img[media_icon$=webma]").before('<span class="media_icon_music"></span>');
+		$("img[media_icon$=fla]").before('<span class="media_icon_music"></span>');
+		$("img[media_icon$=wav]").before('<span class="media_icon_music"></span>');
 		//pdf
 		$("img[media_icon$=pdf]").before('<span class="media_icon_pdf"></span>');
Index: /extensions/Media_Icon/template/photo_media_icon.css
===================================================================
--- /extensions/Media_Icon/template/photo_media_icon.css	(revision 19336)
+++ /extensions/Media_Icon/template/photo_media_icon.css	(revision 19337)
@@ -19,4 +19,12 @@
 }
 
+.media_icon_video, .media_icon_admin_video{
+	background: transparent url('img/photo_video.png') no-repeat;
+}
+
+.media_icon_music, .media_icon_admin_music{
+	background: transparent url('img/photo_music.png') no-repeat;
+}
+
 .media_icon_pdf, .media_icon_admin_pdf{
 	background: transparent url('img/photo_pdf.png') no-repeat;