Index: /extensions/Media_Icon/admin/admin.css
===================================================================
--- /extensions/Media_Icon/admin/admin.css	(revision 19351)
+++ /extensions/Media_Icon/admin/admin.css	(revision 19352)
@@ -9,15 +9,5 @@
 }
 
-.media_icon_admin_youtube,
-.media_icon_admin_vimeo,
-.media_icon_admin_dailymotion,
-.media_icon_admin_wat,
-.media_icon_admin_wideo,
-.media_icon_admin_video,
-.media_icon_admin_music,
-.media_icon_admin_pdf,
-.media_icon_admin_document,
-.media_icon_admin_spreadsheet,
-.media_icon_admin_presentation   {
+.media_icon_admin   {
 	width: 60px;
 	height: 60px;
Index: /extensions/Media_Icon/admin/admin_general.php
===================================================================
--- /extensions/Media_Icon/admin/admin_general.php	(revision 19351)
+++ /extensions/Media_Icon/admin/admin_general.php	(revision 19352)
@@ -14,19 +14,20 @@
 
 //Parameters of the template
+$template->assign('media_icon_style',$conf_media_icon_general['style']);
 $template->assign(
-	'media_icon_style',
+	'media_icon_style_selected',
 	array(
-		'logo' => (($conf_media_icon_general['style'] == 'logo') ? true : false),
-		'photo' => (($conf_media_icon_general['style'] == 'photo') ? true : false),
-		'folder' => (($conf_media_icon_general['style'] == 'folder') ? true : false),
-		'foldercolor' => (($conf_media_icon_general['style'] == 'foldercolor') ? true : false),
+		'logo' => (($conf_media_icon_general['style'] == 'logo') ? 'selected = "selected"' : ""),
+		'photo' => (($conf_media_icon_general['style'] == 'photo') ? 'selected = "selected"' : ""),
+		'folder' => (($conf_media_icon_general['style'] == 'folder') ? 'selected = "selected"' : ""),
+		'foldercolor' => (($conf_media_icon_general['style'] == 'foldercolor') ? 'selected = "selected"' : ""),
 	)
 );
-	
+
 //Add our template to the global template
 $template->set_filenames(
 	array(
 		'plugin_admin_content' => dirname(__FILE__).'/admin_general.tpl'
-	)    
+	)
 );
  
Index: /extensions/Media_Icon/admin/admin_general.tpl
===================================================================
--- /extensions/Media_Icon/admin/admin_general.tpl	(revision 19351)
+++ /extensions/Media_Icon/admin/admin_general.tpl	(revision 19352)
@@ -47,8 +47,8 @@
 	<p>	
 		<select id="media_icon_select" name="media_icon_style">
-			<option value="logo"{if $media_icon_style.logo} selected="selected"{/if}>{'Logo'|@translate}</option>
-			<option value="photo"{if $media_icon_style.photo} selected="selected"{/if}>{'Photo'|@translate}</option>
-			<option value="folder"{if $media_icon_style.folder} selected="selected"{/if}>{'Folder'|@translate}</option>
-			<option value="foldercolor"{if $media_icon_style.foldercolor} selected="selected"{/if}>{'Folder color'|@translate}</option>
+			<option value="logo"{$media_icon_style_selected.logo}>{'Logo'|@translate}</option>
+			<option value="photo"{$media_icon_style_selected.photo}>{'Photo'|@translate}</option>
+			<option value="folder"{$media_icon_style_selected.folder}>{'Folder'|@translate}</option>
+			<option value="foldercolor"{$media_icon_style_selected.foldercolor}>{'Folder color'|@translate}</option>
 		</select>
 	</p>
@@ -61,14 +61,14 @@
 <fieldset>
 	<legend>{'Result'|@translate}</legend>
-	<div class="media_icon_admin_element">{'Youtube videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a><span class="media_icon_admin_youtube"></span></div>
-	<div class="media_icon_admin_element">{'Vimeo videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a><span class="media_icon_admin_vimeo"></span></div>
-	<div class="media_icon_admin_element">{'Dailymotion videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a><span class="media_icon_admin_dailymotion"></span></div>
-	<div class="media_icon_admin_element">{'Wat videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a><span class="media_icon_admin_wat"></span></div>
-	<div class="media_icon_admin_element">{'Wideo videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a><span class="media_icon_admin_wideo"></span></div>
-	<div class="media_icon_admin_element">{'Videos'|@translate} <a class="showInfo" title="{'Files supported: webm, webmv, ogv, m4v, flv, mp4'|@translate}">i</a><span class="media_icon_admin_video"></span></div>
-	<div class="media_icon_admin_element">{'Musics'|@translate} <a class="showInfo" title="{'Files supported: mp3, ogg, oga, m4a, webma, fla, wav'|@translate}">i</a><span class="media_icon_admin_music"></span></div>
-	<div class="media_icon_admin_element">{'pdf files'|@translate} <a class="showInfo" title="{'Files supported: pdf'|@translate}">i</a><span class="media_icon_admin_pdf"></span></div>
-	<div class="media_icon_admin_element">{'Documents'|@translate} <a class="showInfo" title="{'Files supported: doc, docx and odt'|@translate}">i</a><span class="media_icon_admin_document"></span></div>
-	<div class="media_icon_admin_element">{'Spreadsheets'|@translate} <a class="showInfo" title="{'Files supported: xls, xlsx and ods'|@translate}">i</a><span class="media_icon_admin_spreadsheet"></span></div>
-	<div class="media_icon_admin_element">{'Presentations'|@translate} <a class="showInfo" title="{'Files supported: ppt, pptx and odp'|@translate}">i</a><span class="media_icon_admin_presentation"></span></div>
+	<div class="media_icon_admin_element">{'Youtube videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a><span class="media_icon_admin media_icon_admin_youtube_{$media_icon_style}"></span></div>
+	<div class="media_icon_admin_element">{'Vimeo videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a><span class="media_icon_admin media_icon_admin_vimeo_{$media_icon_style}"></span></div>
+	<div class="media_icon_admin_element">{'Dailymotion videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a><span class="media_icon_admin media_icon_admin_dailymotion_{$media_icon_style}"></span></div>
+	<div class="media_icon_admin_element">{'Wat videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a><span class="media_icon_admin media_icon_admin_wat_{$media_icon_style}"></span></div>
+	<div class="media_icon_admin_element">{'Wideo videos'|@translate} <a class="showInfo" title="{'Videos added with'|@translate} <a href='http://piwigo.org/ext/extension_view.php?eid=136'>Embedded Videos</a>">i</a><span class="media_icon_admin media_icon_admin_wideo_{$media_icon_style}"></span></div>
+	<div class="media_icon_admin_element">{'Videos'|@translate} <a class="showInfo" title="{'Files supported: webm, webmv, ogv, m4v, flv, mp4'|@translate}">i</a><span class="media_icon_admin media_icon_admin_video_{$media_icon_style}"></span></div>
+	<div class="media_icon_admin_element">{'Musics'|@translate} <a class="showInfo" title="{'Files supported: mp3, ogg, oga, m4a, webma, fla, wav'|@translate}">i</a><span class="media_icon_admin media_icon_admin_music_{$media_icon_style}"></span></div>
+	<div class="media_icon_admin_element">{'pdf files'|@translate} <a class="showInfo" title="{'Files supported: pdf'|@translate}">i</a><span class="media_icon_admin media_icon_admin_pdf_{$media_icon_style}"></span></div>
+	<div class="media_icon_admin_element">{'Documents'|@translate} <a class="showInfo" title="{'Files supported: doc, docx and odt'|@translate}">i</a><span class="media_icon_admin media_icon_admin_document_{$media_icon_style}"></span></div>
+	<div class="media_icon_admin_element">{'Spreadsheets'|@translate} <a class="showInfo" title="{'Files supported: xls, xlsx and ods'|@translate}">i</a><span class="media_icon_admin media_icon_admin_spreadsheet_{$media_icon_style}"></span></div>
+	<div class="media_icon_admin_element">{'Presentations'|@translate} <a class="showInfo" title="{'Files supported: ppt, pptx and odp'|@translate}">i</a><span class="media_icon_admin media_icon_admin_presentation_{$media_icon_style}"></span></div>
 </fieldset>
Index: /extensions/Media_Icon/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Media_Icon/language/fr_FR/plugin.lang.php	(revision 19351)
+++ /extensions/Media_Icon/language/fr_FR/plugin.lang.php	(revision 19352)
@@ -22,5 +22,5 @@
 $lang['Wideo videos'] = 'Vidéos Wideo';
 $lang['Videos'] = 'Vidéos';
-$lang['Musics'] = 'Musics';
+$lang['Musics'] = 'Musiques';
 $lang['pdf files'] = 'Fichiers pdf';
 $lang['Documents'] = 'Documents';
Index: /extensions/Media_Icon/main.inc.php
===================================================================
--- /extensions/Media_Icon/main.inc.php	(revision 19351)
+++ /extensions/Media_Icon/main.inc.php	(revision 19352)
@@ -33,5 +33,5 @@
 
 /* +-----------------------------------------------------------------------+
- * | Plugin code                                                          |
+ * | Plugin code                                                           |
  * +-----------------------------------------------------------------------+ */
 	
@@ -40,5 +40,5 @@
 
 /* +-----------------------------------------------------------------------+
- * | CSS Style                                                          |
+ * | CSS Style                                                             |
  * +-----------------------------------------------------------------------+ */
 
@@ -52,5 +52,4 @@
 	//add a stylesheet
 	$template->append('head_elements', '<link rel="stylesheet" type="text/css" href="'.MEDIA_ICON_PATH.'template/media_icon.css">');
-	$template->append('head_elements', '<link rel="stylesheet" type="text/css" href="'.MEDIA_ICON_PATH.'template/'.$conf_media_icon_general['style'].'_media_icon.css">');
 	$template->append('head_elements', '<link rel="stylesheet" type="text/css" href="'.MEDIA_ICON_PATH.'admin/admin.css">');
 }
Index: /extensions/Media_Icon/picture.php
===================================================================
--- /extensions/Media_Icon/picture.php	(revision 19351)
+++ /extensions/Media_Icon/picture.php	(revision 19352)
@@ -4,4 +4,7 @@
 
 function media_icon_add_tag_picture($content, $element_info) {
+	global $conf;
+	
+	$conf_media_icon_general = unserialize($conf['media_icon_general']);
 	$media_icon_type = "";
 	
@@ -42,5 +45,5 @@
 		preg_match('/<\s*img\s+[^>]*?src\s*=\s*(\'|\")(.*?)\\1[^>]*?\/?\s*>/i',$content,$match);
 	
-		$content = str_replace($match[0],'<span class="media_icon_'.$media_icon_type.'"></span>'.$match[0].'</a>',$content);
+		$content = str_replace($match[0],'<span class="media_icon media_icon_'.$media_icon_type.'_'.$conf_media_icon_general['style'].'"></span>'.$match[0].'</a>',$content);
 	}
 	
Index: /extensions/Media_Icon/template/media_icon.css
===================================================================
--- /extensions/Media_Icon/template/media_icon.css	(revision 19351)
+++ /extensions/Media_Icon/template/media_icon.css	(revision 19352)
@@ -1,15 +1,197 @@
-.media_icon_youtube,
-.media_icon_vimeo,
-.media_icon_dailymotion,
-.media_icon_wat,
-.media_icon_wideo,
-.media_icon_video,
-.media_icon_music,
-.media_icon_pdf,
-.media_icon_document,
-.media_icon_spreadsheet,
-.media_icon_presentation   {
+.media_icon  {
 	width: 60px;
 	height: 60px;
 	z-index:99;
 }
+
+/* +-----------------------------------------------------------------------+
+ * | logo                                                                  |
+ * +-----------------------------------------------------------------------+ */
+
+ .media_icon_youtube_logo, .media_icon_admin_youtube_logo {
+	background: transparent url('img/logo_youtube.png') no-repeat;
+}
+
+.media_icon_vimeo_logo, .media_icon_admin_vimeo_logo {
+	background: transparent url('img/logo_vimeo.png') no-repeat;
+}
+
+.media_icon_dailymotion_logo, .media_icon_admin_dailymotion_logo {
+	background: transparent url('img/logo_dailymotion.png') no-repeat;
+}
+
+.media_icon_wat_logo, .media_icon_admin_wat_logo {
+	background: transparent url('img/logo_wat.png') no-repeat;
+}
+
+.media_icon_wideo_logo, .media_icon_admin_wideo_logo {
+	background: transparent url('img/logo_wideo.png') no-repeat;
+}
+
+.media_icon_video_logo, .media_icon_admin_video_logo {
+	background: transparent url('img/logo_video.png') no-repeat;
+}
+
+.media_icon_music_logo, .media_icon_admin_music_logo {
+	background: transparent url('img/logo_music.png') no-repeat;
+}
+
+.media_icon_pdf_logo, .media_icon_admin_pdf_logo {
+	background: transparent url('img/logo_pdf.png') no-repeat;
+}
+
+.media_icon_document_logo, .media_icon_admin_document_logo {
+	background: transparent url('img/logo_document.png') no-repeat;
+}
+
+.media_icon_spreadsheet_logo, .media_icon_admin_spreadsheet_logo {
+	background: transparent url('img/logo_spreadsheet.png') no-repeat;
+}
+
+.media_icon_presentation_logo, .media_icon_admin_presentation_logo {
+	background: transparent url('img/logo_presentation.png') no-repeat;
+}
+ 
+/* +-----------------------------------------------------------------------+
+ * | photo                                                                 |
+ * +-----------------------------------------------------------------------+ */
+ 
+.media_icon_youtube_photo, .media_icon_admin_youtube_photo {
+	background: transparent url('img/photo_video.png') no-repeat;
+}
+
+.media_icon_vimeo_photo, .media_icon_admin_vimeo_photo {
+	background: transparent url('img/photo_video.png') no-repeat;
+}
+
+.media_icon_dailymotion_photo, .media_icon_admin_dailymotion_photo {
+	background: transparent url('img/photo_video.png') no-repeat;
+}
+
+.media_icon_wat_photo, .media_icon_admin_wat_photo {
+	background: transparent url('img/photo_video.png') no-repeat;
+}
+
+.media_icon_wideo_photo, .media_icon_admin_wideo_photo {
+	background: transparent url('img/photo_video.png') no-repeat;
+}
+
+.media_icon_video_photo, .media_icon_admin_video_photo {
+	background: transparent url('img/photo_video.png') no-repeat;
+}
+
+.media_icon_music_photo, .media_icon_admin_music_photo {
+	background: transparent url('img/photo_music.png') no-repeat;
+}
+
+.media_icon_pdf_photo, .media_icon_admin_pdf_photo {
+	background: transparent url('img/photo_pdf.png') no-repeat;
+}
+
+.media_icon_document_photo, .media_icon_admin_document_photo {
+	background: transparent url('img/photo_document.png') no-repeat;
+}
+
+.media_icon_spreadsheet_photo, .media_icon_admin_spreadsheet_photo {
+	background: transparent url('img/photo_spreadsheet.png') no-repeat;
+}
+
+.media_icon_presentation_photo, .media_icon_admin_presentation_photo {
+	background: transparent url('img/photo_presentation.png') no-repeat;
+}
+
+/* +-----------------------------------------------------------------------+
+ * | folder                                                                |
+ * +-----------------------------------------------------------------------+ */
+ 
+ .media_icon_youtube_folder, .media_icon_admin_youtube_folder {
+	background: transparent url('img/folder_video.png') no-repeat;
+}
+
+.media_icon_vimeo_folder, .media_icon_admin_vimeo_folder {
+	background: transparent url('img/folder_video.png') no-repeat;
+}
+
+.media_icon_dailymotion_folder, .media_icon_admin_dailymotion_folder {
+	background: transparent url('img/folder_video.png') no-repeat;
+}
+
+.media_icon_wat_folder, .media_icon_admin_wat_folder {
+	background: transparent url('img/folder_video.png') no-repeat;
+}
+
+.media_icon_wideo_folder, .media_icon_admin_wideo_folder {
+	background: transparent url('img/folder_video.png') no-repeat;
+}
+
+.media_icon_video_folder, .media_icon_admin_video_folder {
+	background: transparent url('img/folder_video.png') no-repeat;
+}
+
+.media_icon_music_folder, .media_icon_admin_music_folder {
+	background: transparent url('img/folder_music.png') no-repeat;
+}
+
+.media_icon_pdf_folder, .media_icon_admin_pdf_folder {
+	background: transparent url('img/folder_pdf.png') no-repeat;
+}
+
+.media_icon_document_folder, .media_icon_admin_document_folder {
+	background: transparent url('img/folder_document.png') no-repeat;
+}
+
+.media_icon_spreadsheet_folder, .media_icon_admin_spreadsheet_folder {
+	background: transparent url('img/folder_spreadsheet.png') no-repeat;
+}
+
+.media_icon_presentation_folder, .media_icon_admin_presentation_folder {
+	background: transparent url('img/folder_presentation.png') no-repeat;
+}
+
+/* +-----------------------------------------------------------------------+
+ * | foldercolor                                                           |
+ * +-----------------------------------------------------------------------+ */
+ 
+ .media_icon_youtube_foldercolor, .media_icon_admin_youtube_foldercolor {
+	background: transparent url('img/foldercolor_video.png') no-repeat;
+}
+
+.media_icon_vimeo_foldercolor, .media_icon_admin_vimeo_foldercolor {
+	background: transparent url('img/foldercolor_video.png') no-repeat;
+}
+
+.media_icon_dailymotion_foldercolor, .media_icon_admin_dailymotion_foldercolor {
+	background: transparent url('img/foldercolor_video.png') no-repeat;
+}
+
+.media_icon_wat_foldercolor, .media_icon_admin_wat_foldercolor {
+	background: transparent url('img/foldercolor_video.png') no-repeat;
+}
+
+.media_icon_wideo_foldercolor, .media_icon_admin_wideo_foldercolor {
+	background: transparent url('img/foldercolor_video.png') no-repeat;
+}
+
+.media_icon_video_foldercolor, .media_icon_admin_video_foldercolor {
+	background: transparent url('img/foldercolor_video.png') no-repeat;
+}
+
+.media_icon_music_foldercolor, .media_icon_admin_music_foldercolor {
+	background: transparent url('img/foldercolor_music.png') no-repeat;
+}
+
+.media_icon_pdf_foldercolor, .media_icon_admin_pdf_foldercolor {
+	background: transparent url('img/foldercolor_pdf.png') no-repeat;
+}
+
+.media_icon_document_foldercolor, .media_icon_admin_document_foldercolor {
+	background: transparent url('img/foldercolor_document.png') no-repeat;
+}
+
+.media_icon_spreadsheet_foldercolor, .media_icon_admin_spreadsheet_foldercolor {
+	background: transparent url('img/foldercolor_spreadsheet.png') no-repeat;
+}
+
+.media_icon_presentation_foldercolor, .media_icon_admin_presentation_foldercolor {
+	background: transparent url('img/foldercolor_presentation.png') no-repeat;
+}
Index: /extensions/Media_Icon/template/media_icon_picture.tpl
===================================================================
--- /extensions/Media_Icon/template/media_icon_picture.tpl	(revision 19351)
+++ /extensions/Media_Icon/template/media_icon_picture.tpl	(revision 19352)
@@ -2,26 +2,12 @@
 {literal}
 <style type="text/css">
-	.media_icon_pdf, .media_icon_admin_pdf {
+	.media_icon {
 {/literal}
 		opacity: {$media_icon_advanced.opacity/100};
 		moz-opacity: {$media_icon_advanced.opacity/100};
 		filter:alpha(opacity={$media_icon_advanced.opacity});
-{literal}
-	}
-.media_icon_youtube,
-.media_icon_vimeo,
-.media_icon_dailymotion,
-.media_icon_wat,
-.media_icon_wideo,
-.media_icon_video,
-.media_icon_music,
-.media_icon_pdf,
-.media_icon_document,
-.media_icon_spreadsheet,
-.media_icon_presentation {
-{/literal}
-	position: absolute;
-	{$media_icon_advanced.xposition};
-	{$media_icon_advanced.yposition};
+		position: absolute;
+		{$media_icon_advanced.xposition};
+		{$media_icon_advanced.yposition};
 {literal}
 }
Index: /extensions/Media_Icon/template/media_icon_thumbnails.tpl
===================================================================
--- /extensions/Media_Icon/template/media_icon_thumbnails.tpl	(revision 19351)
+++ /extensions/Media_Icon/template/media_icon_thumbnails.tpl	(revision 19352)
@@ -2,26 +2,12 @@
 {literal}
 <style type="text/css">
-	.media_icon_pdf, .media_icon_admin_pdf {
+	.media_icon {
 {/literal}
 		opacity: {$media_icon_advanced.opacity/100};
 		moz-opacity: {$media_icon_advanced.opacity/100};
 		filter:alpha(opacity={$media_icon_advanced.opacity});
-{literal}
-	}
-.media_icon_youtube,
-.media_icon_vimeo,
-.media_icon_dailymotion,
-.media_icon_wat,
-.media_icon_wideo,
-.media_icon_video,
-.media_icon_music,
-.media_icon_pdf,
-.media_icon_document,
-.media_icon_spreadsheet,
-.media_icon_presentation {
-{/literal}
-	position: absolute;
-	{$media_icon_advanced.xposition};
-	{$media_icon_advanced.yposition};
+		position: absolute;
+		{$media_icon_advanced.xposition};
+		{$media_icon_advanced.yposition};
 {literal}
 }
@@ -30,43 +16,45 @@
 	//Add Media Icon markups to thumbnails
 	function media_icon_markup() {
+{/literal}
 		//Youtube
-		$("img[media_icon^=youtube]").before('<span class="media_icon_youtube"></span>');
+		$("img[media_icon^=youtube]").before('<span class="media_icon media_icon_youtube_{$media_icon_style}"></span>');
 		//Vimeo
-		$("img[media_icon^=vimeo]").before('<span class="media_icon_vimeo"></span>');
+		$("img[media_icon^=vimeo]").before('<span class="media_icon media_icon_vimeo_{$media_icon_style}"></span>');
 		//Dailymotion
-		$("img[media_icon^=dailymotion]").before('<span class="media_icon_dailymotion"></span>');
+		$("img[media_icon^=dailymotion]").before('<span class="media_icon media_icon_dailymotion_{$media_icon_style}"></span>');
 		//Wat
-		$("img[media_icon^=wat]").before('<span class="media_icon_wat"></span>');
+		$("img[media_icon^=wat]").before('<span class="media_icon media_icon_wat_{$media_icon_style}"></span>');
 		//Wideo
-		$("img[media_icon^=wideo]").before('<span class="media_icon_wideo"></span>');
+		$("img[media_icon^=wideo]").before('<span class="media_icon media_icon_wideo_{$media_icon_style}"></span>');
 		//Video
-		$("img[media_icon$=webm]").before('<span class="media_icon_video"></span>');
-		$("img[media_icon$=webmv]").before('<span class="media_icon_video"></span>');
-		$("img[media_icon$=ogv]").before('<span class="media_icon_video"></span>');
-		$("img[media_icon$=m4v]").before('<span class="media_icon_video"></span>');
-		$("img[media_icon$=flv]").before('<span class="media_icon_video"></span>');
-		$("img[media_icon$=mp4]").before('<span class="media_icon_video"></span>');
+		$("img[media_icon$=webm]").before('<span class="media_icon media_icon_video_{$media_icon_style}"></span>');
+		$("img[media_icon$=webmv]").before('<span class="media_icon media_icon_video_{$media_icon_style}"></span>');
+		$("img[media_icon$=ogv]").before('<span class="media_icon media_icon_video_{$media_icon_style}"></span>');
+		$("img[media_icon$=m4v]").before('<span class="media_icon media_icon_video_{$media_icon_style}"></span>');
+		$("img[media_icon$=flv]").before('<span class="media_icon media_icon_video_{$media_icon_style}"></span>');
+		$("img[media_icon$=mp4]").before('<span class="media_icon media_icon_video_{$media_icon_style}"></span>');
 		//Music
-		$("img[media_icon$=mp3]").before('<span class="media_icon_music"></span>');
-		$("img[media_icon$=ogg]").before('<span class="media_icon_music"></span>');
-		$("img[media_icon$=oga]").before('<span class="media_icon_music"></span>');
-		$("img[media_icon$=m4a]").before('<span class="media_icon_music"></span>');
-		$("img[media_icon$=webma]").before('<span class="media_icon_music"></span>');
-		$("img[media_icon$=fla]").before('<span class="media_icon_music"></span>');
-		$("img[media_icon$=wav]").before('<span class="media_icon_music"></span>');
+		$("img[media_icon$=mp3]").before('<span class="media_icon media_icon_music_{$media_icon_style}"></span>');
+		$("img[media_icon$=ogg]").before('<span class="media_icon media_icon_music_{$media_icon_style}"></span>');
+		$("img[media_icon$=oga]").before('<span class="media_icon media_icon_music_{$media_icon_style}"></span>');
+		$("img[media_icon$=m4a]").before('<span class="media_icon media_icon_music_{$media_icon_style}"></span>');
+		$("img[media_icon$=webma]").before('<span class="media_icon media_icon_music_{$media_icon_style}"></span>');
+		$("img[media_icon$=fla]").before('<span class="media_icon media_icon_music_{$media_icon_style}"></span>');
+		$("img[media_icon$=wav]").before('<span class="media_icon media_icon_music_{$media_icon_style}"></span>');
 		//pdf
-		$("img[media_icon$=pdf]").before('<span class="media_icon_pdf"></span>');
+		$("img[media_icon$=pdf]").before('<span class="media_icon media_icon media_icon_pdf_{$media_icon_style}"></span>');
 		//doc, docx or odt
-		$("img[media_icon$=doc]").before('<span class="media_icon_document"></span>');
-		$("img[media_icon$=docx]").before('<span class="media_icon_document"></span>');
-		$("img[media_icon$=odt]").before('<span class="media_icon_document"></span>');
+		$("img[media_icon$=doc]").before('<span class="media_icon media_icon_document_{$media_icon_style}"></span>');
+		$("img[media_icon$=docx]").before('<span class="media_icon media_icon_document_{$media_icon_style}"></span>');
+		$("img[media_icon$=odt]").before('<span class="media_icon media_icon_document_{$media_icon_style}"></span>');
 		//xls, xlsx or ods
-		$("img[media_icon$=xls]").before('<span class="media_icon_spreadsheet"></span>');
-		$("img[media_icon$=xlsx]").before('<span class="media_icon_spreadsheet"></span>');
-		$("img[media_icon$=ods]").before('<span class="media_icon_spreadsheet"></span>');
+		$("img[media_icon$=xls]").before('<span class="media_icon media_icon_spreadsheet_{$media_icon_style}"></span>');
+		$("img[media_icon$=xlsx]").before('<span class="media_icon media_icon_spreadsheet_{$media_icon_style}"></span>');
+		$("img[media_icon$=ods]").before('<span class="media_icon media_icon_spreadsheet_{$media_icon_style}"></span>');
 		//ppt, pptx or odp
-		$("img[media_icon$=ppt]").before('<span class="media_icon_presentation"></span>');
-		$("img[media_icon$=pptx]").before('<span class="media_icon_presentation"></span>');
-		$("img[media_icon$=odp]").before('<span class="media_icon_presentation"></span>');
+		$("img[media_icon$=ppt]").before('<span class="media_icon media_icon_presentation_{$media_icon_style}"></span>');
+		$("img[media_icon$=pptx]").before('<span class="media_icon media_icon_presentation_{$media_icon_style}"></span>');
+		$("img[media_icon$=odp]").before('<span class="media_icon media_icon_presentation_{$media_icon_style}"></span>');
+{literal}
 	}
   
Index: /extensions/Media_Icon/thumbnails.php
===================================================================
--- /extensions/Media_Icon/thumbnails.php	(revision 19351)
+++ /extensions/Media_Icon/thumbnails.php	(revision 19352)
@@ -5,4 +5,5 @@
 	global $template, $conf;
 
+	$conf_media_icon_general = unserialize($conf['media_icon_general']);
 	$conf_media_icon_advanced = unserialize($conf['media_icon_advanced']);
 	
@@ -10,4 +11,6 @@
 	
 	$template->set_filename('media_icon_template', dirname(__FILE__).'/template/media_icon_thumbnails.tpl');
+	
+	$template->assign('media_icon_style',$conf_media_icon_general['style']);
 	
 	$template->assign(